(function ($, Drupal) {
  Drupal.behaviors.inline_change = {
    attach: function (context, settings) {
      $(".t-changed-table .inline-change").dblclick(function(){
        var id = $(this).closest('tr').data('id');
        var field = $(this).data('field');
        Drupal.ajax({
          url: `/inline-show-field/${id}/${field}`,
        }).execute().done(function () {
          setTimeout(function(){
            $(".t-changed-table input[type='text']").each(function(){
              if ($(this).data('autocomplete-path')) {
                $(this).autocomplete({
                  source: $(this).data('autocomplete-path'),
                  select: function(event, ui) {
                    var el = $(this);
                    setTimeout(function(){
                      change_handler(el);
                    }, 100);
                  }
                });
              }
            });
            $(".tooltip").remove();
          }, 100);
        });
      });
      function change_handler(el) {
        el.attr('disabled', 'disabled');
        var id = el.closest('tr').data('id');
        var field = el.closest('td').data('field');
        var data = el.val();
        Drupal.ajax({
          url: `/inline-change-field/${id}/${field}`,
          submit: {
            data: data
          }
        }).execute();
      }
      $(".views-form > form").keydown(function(event){
        if(event.keyCode == 13) {
          event.preventDefault();
          return false;
        }
      });
      $(".t-changed-table select").change(function(){
        change_handler($(this));
      }).blur(function(){
        change_handler($(this));
      }).keyup(function(event) {
        event.preventDefault();
        if (event.keyCode === 13) {
          change_handler($(this));
        }
      });
      $(".t-changed-table input[type='text']").blur(function(){
        change_handler($(this));
      }).keyup(function(event) {
        event.preventDefault();
        if (event.keyCode === 13) {
          change_handler($(this));
        }
      });
    }
  };
})(jQuery, Drupal);
